#
# Conditional build:
%bcond_without    javadoc        # don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons Modeler - managing resources via Java Management Extensions
Summary(pl.UTF-8):	Commons Modeler - zarządzanie zasobami z użyciem Java Management Extensions
Name:		java-commons-modeler
Version:	2.0
Release:	3
License:	Apache v2.0
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/modeler/source/commons-modeler-%{version}-src.tar.gz
# Source0-md5:	43983c66113ddaa9880e4a7ea7d38db4
URL:		http://commons.apache.org/modeler/
BuildRequires:	ant
BuildRequires:	java(jmx)
BuildRequires:	java-commons-digester
BuildRequires:	java-commons-logging
BuildRequires:	jdk >= 1.2
BuildRequires:	rpm-javaprov
Requires:	java(jmx)
Requires:	java-commons-beanutils
Requires:	java-commons-collections
Requires:	java-commons-digester
Requires:	java-commons-logging
Requires:	jpackage-utils
Requires:	jre >= 1.2
Obsoletes:	jakarta-commons-modeler
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This scope of the Modeler component is to provide a class library
supporting the creation and use of Model MBeans to manage application
resources via tools that implement the Java Management Extensions
(JMX) APIs.

%description -l pl.UTF-8
Zadaniem komponentu Modeler jest dostarczenie biblioteki klas
wspierających tworzenie i używanie Model MBeans do zarządzania
zasobami aplikacji z użyciem narzędzi będących implementacją API Java
Management Extensions (JMX).

%package javadoc
Summary:	Commons Modeller documentation
Summary(pl.UTF-8):	Dokumentacja do Jakarta Commons Modeller
Group:		Documentation
Requires:	jpackage-utils
Obsoletes:	jakarta-commons-modeler-doc
Obsoletes:	jakarta-commons-modeler-javadoc

%description javadoc
Commons Modeller documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Modeller.

%prep
%setup -q -n commons-modeler-%{version}-src

%build
required_jars="commons-digester commons-logging jmx"
CLASSPATH=$(build-classpath $required_jars)
export CLASSPATH
%ant dist

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a dist/commons-modeler.jar $RPM_BUILD_ROOT%{_javadir}/commons-modeler-%{version}.jar
ln -s commons-modeler-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-modeler.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc LICENSE.txt RELEASE-NOTES.txt
%{_javadir}/*.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif
%changelog
* Sat Feb 01 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/java-commons-modeler.git;a=log;h=master

* Sat Feb 01 2014 Elan Ruusamäe <glen@delfi.ee> 236ccd1
- avoid self-obsoletes; drop old jakarta provides

* Wed Apr 21 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> bfaef93
- release 2

* Sun Apr 18 2010 pawelz <pawelz@pld-linux.org> 80e7910
- updated java deps

* Thu Dec 25 2008 pawelz <pawelz@pld-linux.org> df926be
- it is no longer part of Jakarta project
- new URLs
- s/jakarta/java/ in dependencies
- tabs in preamble
- added Provides/Obsoletes old name in subpackage

* Sun Nov 23 2008 Elan Ruusamäe <glen@pld-linux.org> 8424dff
- rename to java-commons-modeler.spec

* Wed Apr 11 2007 Elan Ruusamäe <glen@pld-linux.org> 8986652
- update to 2.0, License ASF 2.0

* Wed Apr 11 2007 Elan Ruusamäe <glen@pld-linux.org> 07c7c36
- do not package src.jar
- update from template-java.spec

* Mon Apr 09 2007 Elan Ruusamäe <glen@pld-linux.org> fe2f921
- unify java package, builds with java 1.5

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 1b7e9ec
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> eebdc6b
- converted to UTF-8

* Fri May 19 2006 Jacek Konieczny <jajcus@pld-linux.org> 08624b4
- s/jakarta-ant/ant/ in BR

* Mon May 15 2006 ankry <ankry@pld-linux.org> f2cd169
- cosmetics

* Sun May 08 2005 Jakub Bogusz <qboosh@pld-linux.org> 105a9c2
- updated to 1.1

* Tue Dec 14 2004 Jan Rękorajski <baggins@pld-linux.org> ce93ae5
- DON'T hardcode paths!

* Wed Jun 25 2003 pascalek <pascalek@pld-linux.org> 70196be
- now javadoc know where jars are stored

* Wed May 28 2003 Michal Moskal <michal@moskal.me> cd9378a
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> be6919f
- massive attack s/pld.org.pl/pld-linux.org/

* Sun May 18 2003 adasi <adasi@pld-linux.org> 7188332
- BR: jmx

* Wed Mar 26 2003 Jakub Bogusz <qboosh@pld-linux.org> 4a05383
- enhanced descriptions and dependencies

* Mon Mar 10 2003 Arkadiusz Miśkiewicz <arekm@maven.pl> 8df4082
- initial pld release

